> ## Documentation Index
> Fetch the complete documentation index at: https://ngrok.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get the detailed status of a tunnel session by ID




## OpenAPI

````yaml https://raw.githubusercontent.com/ngrok/ngrok-openapi/refs/heads/main/ngrok.yaml get /tunnel_sessions/{id}
openapi: 3.0.0
info:
  title: ngrok OpenAPI
  version: 1.0.0
servers:
  - url: https://api.ngrok.com
security:
  - authentication: []
paths:
  /tunnel_sessions/{id}:
    get:
      tags:
        - TunnelSessions
      summary: Get
      description: |
        Get the detailed status of a tunnel session by ID
      operationId: TunnelSessionsGet
      parameters:
        - $ref: '#/components/parameters/ngrokVersion'
        - name: id
          description: |
            a resource identifier
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: |
            Get the detailed status of a tunnel session by ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TunnelSession'
components:
  parameters:
    ngrokVersion:
      name: ngrok-version
      in: header
      required: true
      schema:
        type: integer
        default: 2
  schemas:
    TunnelSession:
      type: object
      properties:
        agent_version:
          description: |
            version of the ngrok agent that started this ngrok tunnel session
          type: string
        credential:
          $ref: '#/components/schemas/Ref'
          description: >
            reference to the tunnel credential or ssh credential used by the
            ngrok agent to start this tunnel session
        id:
          description: |
            unique tunnel session resource identifier
          type: string
        ip:
          description: |
            source ip address of the tunnel session
          type: string
        metadata:
          description: >
            arbitrary user-defined data specified in the metadata property in
            the ngrok configuration file. See the metadata configuration option
          type: string
        os:
          description: |
            operating system of the host the ngrok agent is running on
          type: string
        region:
          description: |
            the ngrok region identifier in which this tunnel session was started
          type: string
        started_at:
          description: |
            time when the tunnel session first connected to the ngrok servers
          type: string
        transport:
          description: >
            the transport protocol used to start the tunnel session. Either
            `ngrok/v2` or `ssh`
          type: string
        uri:
          description: |
            URI to the API resource of the tunnel session
          type: string
    Ref:
      type: object
      properties:
        id:
          description: |
            a resource identifier
          type: string
        uri:
          description: |
            a uri for locating a resource
          type: string
  securitySchemes:
    authentication:
      type: http
      scheme: bearer

````